<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.modcluster.proxy.load-provider.dynamic" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="decay,history,initial-load"/>
        <elem name="addr-params" value="profile,subsystem,proxy,load-provider"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.modcluster"/>
    </annotation>
    <refs>
        <ref feature="subsystem.modcluster.proxy"/>
        <ref feature="subsystem.modcluster"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="proxy" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="load-provider" feature-id="true" default="dynamic"/>
        <param name="subsystem" feature-id="true" default="modcluster"/>
        <param name="decay" nillable="true" stability="default"/>
        <param name="history" nillable="true" stability="default"/>
        <param name="initial-load" nillable="true" stability="default"/>
    </params>
</feature-spec>